> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/stripe_gateways.md).

# Stripe gateways

The stripe gateway object and the allowed CRUD operations on the related resource endpoint

Configuring a Stripe payment gateway for a market lets you safely process payments through [Stripe](https://stripe.com/docs). The Stripe gateway is compliant with the PSD2 European regulation so that you can implement a payment flow that supports SCA and 3DS2 by using the Stripe's official JS SDK and libraries.

To create a Stripe gateway choose a meaningful name that helps you identify it within your organization and gather all the credentials requested (like [secret and publishable keys](https://stripe.com/docs/keys#obtain-api-keys), etc. — contact [Stripe's support](https://support.stripe.com/) if you are not sure about the requested data).

{% hint style="warning" %}
If you're leveraging Stripe `auto_payments` option on your gateway, make sure to specify a `return_url` when you create a [Stripe payment](/core-api-reference/stripe_payments.md).
{% endhint %}

<details>

<summary>How-to</summary>

Check the related [guide](https://docs.commercelayer.io/developers/v/how-tos/payments/stripe) to learn more on how Commerce Layer handles the server-side part of the integration process with Stripe.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/core-api-reference/stripe_gateways.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
